Bug 1266149 - Review Request: LibrePilot - Ground Control Station
Review Request: LibrePilot - Ground Control Station
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2015-09-24 11:32 EDT by Roy Bekken
Modified: 2015-10-08 02:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-04 16:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy Bekken 2015-09-24 11:32:40 EDT
Spec URL: https://rbekken.fedorapeople.org/review/LibrePilot.spec
SRPM URL: https://rbekken.fedorapeople.org/review/LibrePilot-15.10-1.fc24.src.rpm

Fedora Account System Username: rbekken

Description:
LibrePilot is a next-generation Open Source UAV autopilot created by the
Community. It is a highly capable platform for multirotors, helicopters, fixed
wing aircraft, and other vehicles. It has been designed from the ground up by
a community of passionate developers from around the globe, with its
core design principles being quality, safety, and ease of use.


Main GIT repository: https://bitbucket.org/librepilot/

Hello,
This will be the first package I submit, so I'll need a sponsor. I am upstream and this is a pre release build and dont represent the final package I want to submit, but I would like to deal with any problems before the stable release is published, for a smoother package acceptance into Fedora. 

Things to notice:

Source1 is a prebuild archive of the flight controller firmwares. Firmware will only build with gcc-arm-none-eabi from launchpad.net. It is build with command: $make QMAKE=qmake-qt5 fw_dist


false rpmlint: explicit-lib-dependency libusbx
false rpmlint: binary-or-shlib-defines-rpath (multiple)
false rpmlint: devel-file-in-non-devel-package (multiple)
Comment 1 Roy Bekken 2015-10-01 12:55:18 EDT
Spec URL: https://rbekken.fedorapeople.org/review/RC1/LibrePilot.spec
SRPM URL: https://rbekken.fedorapeople.org/review/RC1/LibrePilot-15.09-0.RC1.1.fc24.src.rpm

Hi

We made the first release candidate for LibrePilot and I have updated the specfile to build this public release. I've done some minor changes to the specfile to easily distinguish between release candidates and stable releases.
Comment 2 Roy Bekken 2015-10-04 16:15:58 EDT
I'm closing this review request after the low interest it's been for this package.

Note You need to log in before you can comment on or make changes to this bug.